# Get game key for catalog

Gets a game key for the catalog.

  Note
    This API call returns generic item catalog data when used without
    authorization. Use authorization to retrieve
    personalized
    user data, such as limits and promotions associated with the item.
    To do this, pass the user JWT in the Authorization header.
    For more information about user JWT, see the Security block
    for this call.

Endpoint: GET /v2/project/{project_id}/items/game/key/sku/{item_sku}
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `item_sku` (string, required)
    Item SKU.

## Query parameters:

  - `locale` (string)
    Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

  - `additional_fields[]` (array)
    Additional fields to include in the response. By default, these fields are not returned. Pass the required values to include them.
    Enum: "media_list", "order", "long_description", "custom_attributes", "item_order_in_group"

  - `country` (string)
    Two-letter uppercase country code per ISO 3166-1 alpha-2. Check the documentation for detailed information about countries supported by Xsolla and the process of determining the country.
    Example: "US"

  - `promo_code` (string)
    Unique case sensitive code. Contains letters and numbers.
    Example: "WINTER2021"

  - `show_inactive_time_limited_items` (integer)
    Shows time-limited items that are not available to the user. The validity period of such items has not started or has already expired.
    Example: 1

## Response 200 fields (application/json):

  - `sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "com.xsolla.game_1"

  - `name` (string)
    Item name.
    Example: "Game name"

  - `groups` (array)
    Groups the item belongs to.
    Example: [{"external_id":"all","name":"All games","item_order_in_group":2},{"external_id":"Xsolla","name":"Xsolla games","item_order_in_group":1}]

  - `groups.external_id` (string)
    [External item group ID](/api/catalog/item-groups-admin/admin-create-item-group#item-groups-admin/admin-create-item-group/t=request&path=external_id) specified during creation.
    Example: "exclusive"

  - `groups.name` (string)
    Name of the group.
    Example: "Exclusive"

  - `groups.item_order_in_group` (integer)
    The item's position within the group that determines its display order. 
Returned only if requested via the additional_fields[] query parameter.
    Example: 1

  - `attributes` (array)
    List of attributes and their values corresponding to the item. Can be used for catalog filtering.
    Example: [{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]},{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}]

  - `attributes.external_id` (string)
    Unique attribute ID. The external_id may contain only lowercase and uppercase Latin alphanumeric characters, dashes, and underscores.

  - `attributes.name` (string)
    Name of attribute.
    Example: "Genre"

  - `attributes.values` (array)

  - `attributes.values.external_id` (string)
    Unique value ID for an attribute. The external_id may only contain lowercase Latin alphanumeric characters, dashes, and underscores.

  - `attributes.values.value` (string)
    Value of attribute.
    Example: "Strategy"

  - `type` (string)
    Type of item: game_key.
    Example: "game_key"

  - `description` (string)
    Item description.
    Example: "Game description"

  - `image_url` (string)
    Image URL.
    Example: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"

  - `is_free` (boolean)
    Whether the item is free.

  - `price` (object)
    Item prices.
    Example: {"amount":"30.5","amount_without_discount":"30.5","currency":"USD"}

  - `price.amount` (string)
    Discounted item price.
    Example: "30.5"

  - `price.amount_without_discount` (string)
    Item price.
    Example: "30.5"

  - `price.currency` (string)
    Item price currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `virtual_prices` (array)
    Virtual prices.
    Example: []

  - `virtual_prices.amount` (integer)
    Item price in virtual currency.
    Example: 100

  - `virtual_prices.amount_without_discount` (integer)
    Item price in virtual currency without discount. Always equal to amount since discounts are not applied to prices in virtual currency.
    Example: 200

  - `virtual_prices.sku` (string)
    Virtual currency SKU.
    Example: "vc_gold"

  - `virtual_prices.is_default` (boolean)
    Whether it is the default price in virtual currency.
    Example: true

  - `virtual_prices.image_url` (string,null)
    Virtual currency image URL.
    Example: "http://image.png"

  - `virtual_prices.name` (string)
    Virtual currency name.
    Example: "Gold"

  - `virtual_prices.type` (string)
    Item type. For virtual currency, it is virtual_currency.
    Example: "virtual_currency"

  - `virtual_prices.description` (string,null)
    Virtual currency description.
    Example: "In-game currency used to purchase weapons and upgrades"

  - `can_be_bought` (boolean)
    If true, the user can buy an item.
    Example: true

  - `drm_name` (string)
    DRM name.
    Example: "Steam"

  - `drm_sku` (string)
    Unique DRM ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "steam_key_1"

  - `has_keys` (boolean)
    If true, the game key has keys for sale.
    Example: true

  - `is_pre_order` (boolean)
    If true, the game key is pre-order and the release date hasn't passed.
    Example: true

  - `release_date` (string)
    Game key release date in the ISO 8601 format.
    Example: "2020-08-11T10:00:00+03:00"

  - `promotions` (array)
    Applied promotions for specific items in the cart. The array is returned in the following cases:

* A discount promotion is configured for a specific item.

* A promo code with the Discount on selected items setting is applied.

If no item-level promotions are applied, an empty array is returned.
    Example: []

  - `promotions.name` (string)

  - `promotions.date_start` (string,null)

  - `promotions.date_end` (string,null)

  - `promotions.discount` (object,null)

  - `promotions.discount.percent` (string,null)

  - `promotions.discount.value` (string,null)

  - `promotions.bonus` (array)

  - `promotions.bonus.sku` (string)

  - `promotions.bonus.quantity` (integer)

  - `promotions.bonus.type` (string)
    Bonus item type.
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `promotions.bonus.name` (string)
    Bonus item name. Not available for physical_good bonus item type.

  - `promotions.bonus.image_url` (string)
    Bonus item image URL. Not available for physical_good bonus item type.

  - `promotions.bonus.bundle_type` (string)
    Bonus bundle item type. Available only for bundle bonus item type.
    Enum: "standard", "virtual_currency_package"

  - `promotions.limits` (object)

  - `promotions.limits.per_user` (object)

  - `promotions.limits.per_user.available` (integer)

  - `promotions.limits.per_user.total` (integer)

  - `limits` (object,null)
    Item limits.

  - `limits.per_user` (object,null)
    Item limits for a user.

  - `limits.per_user.total` (integer)
    Maximum number of items a single user can purchase.
    Example: 5

  - `limits.per_user.available` (integer)
    Remaining number of items the current user can purchase.
    Example: 3

  - `limits.per_user.recurrent_schedule` (any)

  - `limits.per_user.limit_exceeded_visibility` (string)
    Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached,
regardless of the limit_exceeded_visibility value.

Possible values:
- show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side
catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The
next reset date is returned in reset_next_date.
- hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the
limit is reset.
    Enum: "show", "hide"

  - `limits.per_item` (object,null)
    Item limits for an item.

  - `limits.per_item.total` (integer)
    Maximum number of items all users can purchase.
    Example: 5

  - `limits.per_item.available` (integer)
    Remaining number of items all users can purchase.
    Example: 3

  - `periods` (array,null)
    Item sales period.
    Example: [{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}]

  - `periods.date_from` (string)
    Date when the specified item will be available for sale.
    Example: "2020-08-11T10:00:00+03:00"

  - `periods.date_until` (string,null)
    Date when the specified item will become unavailable for sale. Can be null.
    Example: "2020-08-11T20:00:00+03:00"

  - `loyalty_rewards` (array)
    Loyalty points the user receives as a reward for purchasing the item.

  - `loyalty_rewards.name` (string)
    Loyalty point name.

  - `loyalty_rewards.sku` (string)
    Loyalty point SKU. Pass this value in the loyalty_point_sku parameter of other API calls, for example, when creating an order paid with loyalty points.

  - `loyalty_rewards.description` (string)
    Loyalty point description.

  - `loyalty_rewards.image_url` (string,null)
    Image URL.

  - `loyalty_rewards.amount` (integer)
    Number of loyalty points the user receives for purchasing the item.

  - `loyalty_prices` (array)
    Loyalty points that can be used to purchase the item.

  - `loyalty_prices.name` (string)
    Loyalty point name.

  - `loyalty_prices.sku` (string)
    Loyalty point SKU. Pass this value in the loyalty_point_sku parameter of other API calls, for example, when creating an order paid with loyalty points.

  - `loyalty_prices.description` (string)
    Loyalty point description.

  - `loyalty_prices.image_url` (string,null)
    Image URL.

  - `loyalty_prices.amount` (integer)
    Item price in the specified loyalty points.

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with sku = 'game_key_1' not found"


